%bcond_without inode_diet

%kmdl shfs

Summary: (Secure) SHell FileSystem Linux kernel module
Name: shfs
Version: 0.35
Release: 9%{?dist}
License: GPL2
Group: System Environment/Base
URL: http://shfs.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/shfs/%{name}-%{version}.tar.gz
Patch0: http://atrey.karlin.mff.cuni.cz/~qiq/src/shfs/shfs-0.35/df.diff
Patch1: http://atrey.karlin.mff.cuni.cz/~qiq/src/shfs/shfs-0.35/gcc4-compilefix.patch
Patch2: http://atrey.karlin.mff.cuni.cz/~qiq/src/shfs/shfs-0.35/space_chars.diff
Patch3: http://atrey.karlin.mff.cuni.cz/~qiq/src/shfs/shfs-0.35/uidgid32.diff
#Patch4: http://atrey.karlin.mff.cuni.cz/~qiq/src/shfs/shfs-0.35/d_entry-2.6.16.diff
Patch4: shfs-0.35-d_entry.patch
Patch5: shfs-0.35-inodebug.patch
Patch6: shfs-0.35-2.6.18fixes.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
%kmdl_parentdependencies

%description
Shfs is a simple and easy to use Linux kernel module which allows you
to mount remote filesystems using a plain shell (ssh) connection. When
using shfs, you can access all remote files just like the local ones,
only the access is governed through the transport security of ssh.

%package -n %kmdl_name
%kmdl_dependencies
Summary: (Secure) SHell FileSystem Linux kernel module.
Group: System Environment/Kernel

%description -n %kmdl_name
Shfs is a simple and easy to use Linux kernel module which allows you
to mount remote filesystems using a plain shell (ssh) connection. When
using shfs, you can access all remote files just like the local ones,
only the access is governed through the transport security of ssh.

%kmdl_desc

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p0
%patch4 -p1
%patch5 -p1
%if %{with inode_diet}
%patch6 -p1 -b .2.6.18fixes
perl -pi -e's,u\.generic_ip,i_private,g' shfs/Linux-2.6/*.c
%endif

%build
%if %{kmdl_userland}

make utils docs

%else
%kmdl_config

make module KERNEL_SOURCES=%{kmdl_kernelsrcdir} KERNEL=%{_kernel}

%endif

%install
rm -rf %{buildroot}
%if %{kmdl_userland}

make utils-install ROOT=%{buildroot}
make docs-install ROOT=%{buildroot}

%else

mkdir -p %{buildroot}%{kmdl_moduledir}/kernel/fs/
make module-install ROOT=%{buildroot} MODULESDIR=%{buildroot}%{kmdl_moduledir}/ KERNEL=%{_kernel}
mv %{buildroot}%{kmdl_moduledir}/kernel/fs %{buildroot}%{kmdl_moduledir}/

%endif

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%clean
rm -rf %{buildroot}


%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/shfsmount
%{_bindir}/shfsumount
/sbin/mount.shfs
%{_mandir}/man8/shfsmount.8*
%{_mandir}/man8/shfsumount.8*

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}/fs

%endif

%changelog
* Fri Sep 22 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.35-7
- Fix inode bug.
- Adjust to Red Hat's inode diet patches.

* Sat Aug 14 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

